net.sf.cglib.beans

## Class BeanCopier

- java.lang.Object
- - net.sf.cglib.beans.BeanCopier

-     public abstract class BeanCopier
      extends java.lang.Object

  Author:
    Chris Nokleberg

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BeanCopier.Generator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanCopier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `copy(java.lang.Object from, java.lang.Object to, Converter converter)`
    `static BeanCopier` | `create(java.lang.Class source, java.lang.Class target, boolean useConverter)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanCopier

          public BeanCopier()

  - ### Method Detail

    - #### create

          public static BeanCopier create(java.lang.Class source,
                          java.lang.Class target,
                          boolean useConverter)

    - #### copy

          public abstract void copy(java.lang.Object from,
                  java.lang.Object to,
                  Converter converter)

Copyright (c) 2001 - Apache Software Foundation